Bug 1123774 - Preupgrade assistant should be able to do cleanup of his files
Summary: Preupgrade assistant should be able to do cleanup of his files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: preupgrade-assistant
Version: 6.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Petr Hracek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 08:49 UTC by Ondrej Vasik
Modified: 2014-10-14 10:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-14 10:08:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1394 normal SHIPPED_LIVE preupgrade-assistant bug fix update 2014-10-14 14:08:00 UTC

Description Ondrej Vasik 2014-07-28 08:49:19 UTC
Description of problem:
Preupgrade assistant scans the system and generates relatively large portion of data. If someone decides risk is too high and he wants to stick with his old system, preupgrade assistant data still remains on his machine and it is not trivial to clean all of them.
Preupgrade assistant should have an option to wipe all his data from the system - preferable long options --cleanup / --cleandata / --uninstall (last one with removal of preupgrade-assistant package)

Comment 2 Petr Hracek 2014-07-28 10:16:06 UTC
The option --cleandata is fine. It will delete all temporary data created by preupgrade-assistant and new assessment will be executed afterwards.
This option will be implemented and make sense.

Do you have any use case to implement --uninstall option?
I do not see any reason to implement this option.

I think that it only substitute yum erase/remove preupgrade-assistant.
Of course from technical point of view it can be done.

Any comments are welcome.

Comment 3 Ondrej Vasik 2014-07-28 10:40:13 UTC
--cleandata/--erase-data ... or something like that, based on your preference. 

--uninstall was mentioned just as one of the possibilities (completely removing pa-related stuff from machine) - of course, yum/rpm for removing these is sufficient. I don't expect more than one options for data cleanup to be implemented.

Comment 4 Petr Hracek 2014-07-28 11:11:56 UTC
Well, --cleandata means delete temporary files created by preupgrade-assistant and the other stuff related with preupgrade-assistant.
But uninstalling preupgrade-assistant does not make sense. 

--uninstall option for uninstalling PA is fine from user point of view.

Comment 7 Michal Kovarik 2014-10-08 11:45:26 UTC
Verified on preupgrade-assistant-2.0.1-1. 'preupg --cleanup' removes temporary files of preupgrade-assistant

Comment 9 errata-xmlrpc 2014-10-14 10:08:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1394.html


Note You need to log in before you can comment on or make changes to this bug.